#ifndef OPTIONS_H
#define OPTIONS_H

#include <kdialogbase.h>
#include <qstringlist.h>

class KPushButton;
class QComboBox;

class OptionsDialog : public KDialogBase
{
	Q_OBJECT

	public:
		OptionsDialog( QWidget *parent, const char *name = 0 );

	public slots:
		void slotNewMetaserver(QString uri);
		void slotStations();
		void slotUpdateMetaservers();
		void slotUpdateStations();
		void slotOk();

	signals:
		void signalUpdateMetaservers();
		void signalUpdateStations();

	private slots:
		void slotViewMetaservers();

	private:
		void load();

		QStringList metaservers;
		KPushButton *updateServers, *updateStations;
		QComboBox *outputPlugin, *listMode, *stationUpdateCombo;
		QString oldgrouping;
};

#endif
