/*
 * KDE Radio Station
 * Copyright (C) 2003 Josef Spillner <spillner@kde.org>
 * Published under GNU GPL conditions.
 */

#ifndef QMETAGUI_H
#define QMETAGUI_H

#include <qwidget.h>
#include <qsocket.h>
#include <qstringlist.h>

class QListViewItem;
class KListView;

class QMetaGUI : public QWidget
{
	Q_OBJECT
	public:
		QMetaGUI();
		~QMetaGUI();
	signals:
		void signalNewMetaserver(QString uri);
		void signalStations();
	public slots:
		void slotActivate(QListViewItem *item);
		void slotOptions();
		void slotConnected();
		void slotRead();
		void slotShare();
		void slotError(int error);
		void slotTimeout();

		void slotUpdateMetaservers();
		void slotUpdateStations();
	private:
		void doconnection(QString query);
		void doupdate(QString query, QString uri);
		void process(QString content);
		void processlocal(QString content);

		QString m_host;
		int m_port;
		KListView *view;
		QSocket *sock;
		QString m_query;
		QString m_metaquery;
		QString m_curquery;
		QString m_update;
		QStringList metaservers;
		int m_synchronized;
};

#endif

